from setuptools import setup, find_packages

setup(
    name='stela-professional',
    version='0.4.5',
    author='Emmerut Developer',
    author_email='developer@emmerut.com',
    description='Una librería Django reutilizable.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url='https://github.com/stelaux',
    packages=find_packages(exclude=['core', 'home', 'portal']),
    include_package_data=True,
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
    ],
    install_requires=[
    'aiohttp>=3.7.0', 
        'beautifulsoup4>=4.9.0', 
        'boto3>=1.17.0', 
        'django>=3.2,<4.0', 
        'django-autoslug>=1.9.0,<2.0.0',
        'django-ckeditor>=5.0.0', 
        'django-cities-light>=3.7.0', 
        'django-crispy-forms>=1.11.0',
        'django-cron>=3.0.0',
        'django-environ>=0.4.5',
        'django-hosts>=4.0.0',
        'django-js-asset>=1.2.2',
        'django-restframework>=3.12.0',
        'django-storages>=1.11.0',
        'facebook_business>=12.0.0',
        'google-api-python-client>=2.0.0',
        'gunicorn>=20.0.0',
        'openai>=0.27.0',
        'paypal-checkout-serversdk>=1.0.0', 
        'phonenumbers>=8.12.0',
        'pillow>=8.2.0',
        'psycopg2-binary>=2.8.0',
        'python-amazon-paapi>=1.0.0',
        'python-dateutil>=2.8.0',
        'pycountry>=20.7.3',
        'pytz>=2021.1',
        'stripe>=3.0.0', 
        'tqdm>=4.62.0',
        'Unidecode>=1.3.2',
],
    python_requires='>=3.6',
)